<div>
    <div class="flex flex-col items-center min-h-screen pt-6 bg-white sm:justify-center sm:pt-0">
        <button type="button" [routerLink]="['/films']" *ngIf="!loading"
                class="mt-5 text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">Back to the film list</button>
        <div class="w-full px-16 py-20 mt-2 overflow-hidden bg-white rounded-lg lg:max-w-4xl">
            <div class="w-full px-6 py-4" *ngIf="!loading">
                <div>
                    <h3 class="text-2xl font-semibold">{{ film.title }}</h3>
                    <div class="flex items-center mb-4 space-x-2">
                        <span class="text-xs text-gray-500">{{ film.release_date | date: 'YYYY.MM.dd' }}</span>
                        <span class="text-xs text-gray-500">Directed by {{ film.director }}</span>
                    </div>
                    <p class="text-base text-gray-700">{{ film.opening_crawl }}</p>
                </div>

                <div class="mt-4">
                    <h4 class="text-1xl font-semibold mb-3">Characters:</h4>
                    <ul class="space-y-1 max-w-md list-none list-inside text-gray-500 dark:text-gray-400">
                        <li *ngFor="let character of characterModels" class="mb-4">
                            {{ character.displayName }} - shows up:
                            <ol class="pl-5 mt-2 space-y-1 list-decimal list-inside mb-4">
                                <li *ngFor="let displayFilm of character.displayFilms">
                                    {{ displayFilm }}
                                </li>
                            </ol>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="w-full px-6 py-4" *ngIf="loading">
                <mat-spinner></mat-spinner>
            </div>
        </div>
    </div>
</div>
